/*
  
  Text Clustering  Copyright (C) 2004 Debora "Barbara" Donato, Antonio Gulli

  This library is free software; you can redistribute it and/or modify it 
  under the terms of the GNU Lesser General Public License as published by 
  the Free Software Foundation; either version 2.1 of the License, or 
  (at your option) any later version.

  This library is distributed in the hope that it will be useful, but 
  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public 
  License for more details.

  You should have received a copy of the GNU Lesser General Public License 
  along with this library; if not, write to the Free Software Foundation, Inc., 
  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 

*/

#include "dictionary.h"
//#define DEBUG_VECTOR 1


dict_id simpleDictionary::add(string w){

  lastWordCounter++;  
  dict.insert(pair<string, unsigned int>(w,lastWordCounter));
  return lastWordCounter;
}
void simpleDictionary::sortDictionary(void){}

dict_id simpleDictionary::get(string& w){
  
  map<string, unsigned int>::iterator it = dict.find(w);
  if (it != dict.end()){
    return it->second;
  }
  return 0;                                  // not found
}

void simpleDictionary::printDictionary(void){

  cout << "Dictionary .. " << endl;
  for (map<string, unsigned int>::iterator it = begin(); it != end(); it++){
    cout << it->first << " pos:" << it->second << endl;
  }
  cout << endl;
}

